.\" $NCDId: @(#)auplay.man,v 1.3 1993/04/20 20:50:52 jan Exp $
.TH AUPLAY 1 "" "NCDware 3.1"
.SH NAME
auplay \- play a sound file to an NCDaudio server
.SH SYNOPSIS
.B auplay
[\-audio \fIservername\fP] [\-volume \fI0\-100\fP] [\-i] [\-I] \fIfiles...\fP
.SH DESCRIPTION
The \fIauplay\fP program can be used to play audio data stored in 
the .SND, .AU, or .WAV formats common on Sun workstations and PCs.
It is typically used from shell scripts or command line procedures.
.SH OPTIONS
The following options may be used with the \fIauplay\fP program:
.TP 8
.BI "\-audio " servername
This option specifies the NCDaudio server on which the files should be played.
.TP 8
.BI "\-volume " "0\-100"
This option specifies the volume at which the data should be played as a 
percentage of the maximum possible volume.  The default is 100 percent.
.TP 8
.B "\-i"
This option indicates that the header information associated with the 
sound data should be printed along with playing the data.
.TP 8
.B "\-I"
This option indicates that the header information associated with the 
sound data should be printed instead of playing the data.
.SH "SEE ALSO"
ncdaudio(1), auctl(1), audemo(1), autool(1)
.SH COPYRIGHT
Copyright 1993 Network Computing Devices, Inc.
.SH AUTHOR
Greg Renda, Network Computing Devices, Inc.
